
user  nginx;
worker_processes  1;

error_log /proc/self/fd/2 info;
pid        /var/run/nginx.pid;


events {
    worker_connections  1024;
}


http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /proc/self/fd/2  main;

    sendfile        on;
    #tcp_nopush     on;

    keepalive_timeout  65;

    #gzip  on;

    server {
        #listen 80 default_server;
        listen 443 default_server;
        ssl_certificate     /etc/letsencrypt/live/xai-corp.net/fullchain.pem;
        ssl_certificate_key /etc/letsencrypt/live/xai-corp.net/privkey.pem;

        return 421;
    }

    include /etc/nginx/conf.d/*.conf;
}
